Description

En el momento de añadir una capa de BBDD a la vista se calcula siempre el envelope de esta, aunque solo es necesario calcularlo
para la primera capa o grupos de capas que se añade. Cuando se estan añadiendo capas muy grandes y segun el gestor de BBDD
este calculo puede ser muy pesado. Por ejemplo, con SQL Server y una capa de 400.000 puntos, puede tardar mas de 5 segundos.
Si la capa no va a ser pintada por que esta fuera del rango de escala para pintarla, se pierde ese tiempo igualmente aunque no se
necesite.

Estaria bien que al añadir una capa de BBDD solo se calcule el envelope si la capa que añadimos es la primera capa de la vista.

Associated revisions
Revision 43359 - 07/09/2017 10:32 AM - Joaquín  del Cerro Murciano

refs #4529, eliminado el calculo del envelope de una capa de BBDD cuando no es la primera capa de la vista.

History
#1 - 07/09/2017 10:35 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#2 - 07/26/2017 07:46 AM - Álvaro Anguix
- Status changed from Fixed to Closed
